# kOps values

kOps is developed by mutual collaboration; we document our values so
that we can collaborate more effectively and without conflict.

As part of the kubernetes project, we adopt the [kubernetes community values](https://kubernetes.io/community/values/);
they are included [below](#kubernetes-community-values).

In the kOps project, we emphasize also:

## Black lives matter.

We stand in solidarity with the Black community.  Racism is
unacceptable.  It conflicts with [the core values of the Kubernetes project](https://kubernetes.io/community/values/)
and our community does not tolerate it.


# Kubernetes Community Values

Kubernetes Community culture contributes substantially to the
project's success. The following values have evolved over time,
pushing our project and peers toward constant improvement.

## Distribution is better than centralization

The scale of the Kubernetes project is only viable through high-trust
and high-visibility distribution of work, which includes delegation of
authority, decision making, technical design, code ownership, and
documentation.  Distributed asynchronous ownership, collaboration,
communication and decision making are the cornerstones of our
world-wide community.

## Community over product or company

We are here as a community first. Our allegiance is to the intentional
stewardship of the Kubernetes project for the benefit of all its
members and users everywhere. We support working together publicly for
the common goal of a vibrant interoperable ecosystem, providing an
excellent experience for our users. Individuals gain status through
work. Companies gain status through their commitments to support this
community and fund the resources necessary for the project to operate.

## Automation over process

Large projects have a lot of hard yet less exciting work. We value
time spent automating repetitive work more highly than toil. Where
work cannot be automated, our culture recognizes and rewards all types
of contributions while recognizing that heroism is not sustainable.

## Inclusive is better than exclusive

Broadly successful and useful technologies require different
perspectives and skill sets, which can only be heard in a welcoming
and respectful environment. Community membership is a privilege, not a
right. Community members earn leadership through effort, scope,
quality, quantity, and duration of contributions. Our community
respects the time and effort put into a discussion, regardless of
where a contributor is on their growth path.

## Evolution is better than stagnation

Openness to new ideas and studied technological evolution make
Kubernetes a stronger project. Continual improvement, servant
leadership, mentorship, and respect are the foundations of Kubernetes
culture. Kubernetes community leaders have a duty to find, sponsor,
and promote new community members. Leaders should expect to step
aside. Community members should expect to step up.

**"Culture eats strategy for breakfast."   --Peter Drucker**
