# Kubernetes Upgrade Recommended

Kops has established a deprecation policy for Kubernetes version support.
Kops will remove support for Kubernetes versions as follows:

| kOps version | Removes support for Kubernetes version |
|--------------|----------------------------------------|
| 1.18         | 1.8 and below                          |
| 1.19         | 1.9 and 1.10                           |
| 1.20         | 1.11 and 1.12                          |
| 1.21         | 1.13 and 1.14                          |
| 1.22         | 1.15 and 1.16                          |
| 1.23         | 1.17                                   |
| 1.24         | 1.18                                   |
| 1.25         | 1.19                                   |
| 1.26         | 1.20                                   |
| 1.27         | 1.21                                   |
| 1.28         | 1.22                                   |
| 1.29         | 1.23                                   |
| 1.30         | 1.24                                   |
| 1.31         | 1.25                                   |

You are running a version of kubernetes that we recommend upgrading.

Please see the [instructions for how to upgrade kubernetes](https://kops.sigs.k8s.io/operations/updates_and_upgrades/#upgrading-kubernetes)

Please see the deprecation policy [GitHub issue](https://github.com/kubernetes/kops/issues/7999) for more information and to leave feedback.