// Code generated by private/model/cli/gen-api/main.go. DO NOT EDIT.

package ssm

import (
	"github.com/aws/aws-sdk-go/private/protocol"
)

const (

	// ErrCodeAlreadyExistsException for service response error code
	// "AlreadyExistsException".
	//
	// Error returned if an attempt is made to register a patch group with a patch
	// baseline that is already registered with a different patch baseline.
	ErrCodeAlreadyExistsException = "AlreadyExistsException"

	// ErrCodeAssociatedInstances for service response error code
	// "AssociatedInstances".
	//
	// You must disassociate a document from all managed nodes before you can delete
	// it.
	ErrCodeAssociatedInstances = "AssociatedInstances"

	// ErrCodeAssociationAlreadyExists for service response error code
	// "AssociationAlreadyExists".
	//
	// The specified association already exists.
	ErrCodeAssociationAlreadyExists = "AssociationAlreadyExists"

	// ErrCodeAssociationDoesNotExist for service response error code
	// "AssociationDoesNotExist".
	//
	// The specified association doesn't exist.
	ErrCodeAssociationDoesNotExist = "AssociationDoesNotExist"

	// ErrCodeAssociationExecutionDoesNotExist for service response error code
	// "AssociationExecutionDoesNotExist".
	//
	// The specified execution ID doesn't exist. Verify the ID number and try again.
	ErrCodeAssociationExecutionDoesNotExist = "AssociationExecutionDoesNotExist"

	// ErrCodeAssociationLimitExceeded for service response error code
	// "AssociationLimitExceeded".
	//
	// You can have at most 2,000 active associations.
	ErrCodeAssociationLimitExceeded = "AssociationLimitExceeded"

	// ErrCodeAssociationVersionLimitExceeded for service response error code
	// "AssociationVersionLimitExceeded".
	//
	// You have reached the maximum number versions allowed for an association.
	// Each association has a limit of 1,000 versions.
	ErrCodeAssociationVersionLimitExceeded = "AssociationVersionLimitExceeded"

	// ErrCodeAutomationDefinitionNotApprovedException for service response error code
	// "AutomationDefinitionNotApprovedException".
	//
	// Indicates that the Change Manager change template used in the change request
	// was rejected or is still in a pending state.
	ErrCodeAutomationDefinitionNotApprovedException = "AutomationDefinitionNotApprovedException"

	// ErrCodeAutomationDefinitionNotFoundException for service response error code
	// "AutomationDefinitionNotFoundException".
	//
	// An Automation runbook with the specified name couldn't be found.
	ErrCodeAutomationDefinitionNotFoundException = "AutomationDefinitionNotFoundException"

	// ErrCodeAutomationDefinitionVersionNotFoundException for service response error code
	// "AutomationDefinitionVersionNotFoundException".
	//
	// An Automation runbook with the specified name and version couldn't be found.
	ErrCodeAutomationDefinitionVersionNotFoundException = "AutomationDefinitionVersionNotFoundException"

	// ErrCodeAutomationExecutionLimitExceededException for service response error code
	// "AutomationExecutionLimitExceededException".
	//
	// The number of simultaneously running Automation executions exceeded the allowable
	// limit.
	ErrCodeAutomationExecutionLimitExceededException = "AutomationExecutionLimitExceededException"

	// ErrCodeAutomationExecutionNotFoundException for service response error code
	// "AutomationExecutionNotFoundException".
	//
	// There is no automation execution information for the requested automation
	// execution ID.
	ErrCodeAutomationExecutionNotFoundException = "AutomationExecutionNotFoundException"

	// ErrCodeAutomationStepNotFoundException for service response error code
	// "AutomationStepNotFoundException".
	//
	// The specified step name and execution ID don't exist. Verify the information
	// and try again.
	ErrCodeAutomationStepNotFoundException = "AutomationStepNotFoundException"

	// ErrCodeComplianceTypeCountLimitExceededException for service response error code
	// "ComplianceTypeCountLimitExceededException".
	//
	// You specified too many custom compliance types. You can specify a maximum
	// of 10 different types.
	ErrCodeComplianceTypeCountLimitExceededException = "ComplianceTypeCountLimitExceededException"

	// ErrCodeCustomSchemaCountLimitExceededException for service response error code
	// "CustomSchemaCountLimitExceededException".
	//
	// You have exceeded the limit for custom schemas. Delete one or more custom
	// schemas and try again.
	ErrCodeCustomSchemaCountLimitExceededException = "CustomSchemaCountLimitExceededException"

	// ErrCodeDocumentAlreadyExists for service response error code
	// "DocumentAlreadyExists".
	//
	// The specified document already exists.
	ErrCodeDocumentAlreadyExists = "DocumentAlreadyExists"

	// ErrCodeDocumentLimitExceeded for service response error code
	// "DocumentLimitExceeded".
	//
	// You can have at most 500 active SSM documents.
	ErrCodeDocumentLimitExceeded = "DocumentLimitExceeded"

	// ErrCodeDocumentPermissionLimit for service response error code
	// "DocumentPermissionLimit".
	//
	// The document can't be shared with more Amazon Web Services accounts. You
	// can specify a maximum of 20 accounts per API operation to share a private
	// document.
	//
	// By default, you can share a private document with a maximum of 1,000 accounts
	// and publicly share up to five documents.
	//
	// If you need to increase the quota for privately or publicly shared Systems
	// Manager documents, contact Amazon Web Services Support.
	ErrCodeDocumentPermissionLimit = "DocumentPermissionLimit"

	// ErrCodeDocumentVersionLimitExceeded for service response error code
	// "DocumentVersionLimitExceeded".
	//
	// The document has too many versions. Delete one or more document versions
	// and try again.
	ErrCodeDocumentVersionLimitExceeded = "DocumentVersionLimitExceeded"

	// ErrCodeDoesNotExistException for service response error code
	// "DoesNotExistException".
	//
	// Error returned when the ID specified for a resource, such as a maintenance
	// window or patch baseline, doesn't exist.
	//
	// For information about resource quotas in Amazon Web Services Systems Manager,
	// see Systems Manager service quotas (https://docs.aws.amazon.com/general/latest/gr/ssm.html#limits_ssm)
	// in the Amazon Web Services General Reference.
	ErrCodeDoesNotExistException = "DoesNotExistException"

	// ErrCodeDuplicateDocumentContent for service response error code
	// "DuplicateDocumentContent".
	//
	// The content of the association document matches another document. Change
	// the content of the document and try again.
	ErrCodeDuplicateDocumentContent = "DuplicateDocumentContent"

	// ErrCodeDuplicateDocumentVersionName for service response error code
	// "DuplicateDocumentVersionName".
	//
	// The version name has already been used in this document. Specify a different
	// version name, and then try again.
	ErrCodeDuplicateDocumentVersionName = "DuplicateDocumentVersionName"

	// ErrCodeDuplicateInstanceId for service response error code
	// "DuplicateInstanceId".
	//
	// You can't specify a managed node ID in more than one association.
	ErrCodeDuplicateInstanceId = "DuplicateInstanceId"

	// ErrCodeFeatureNotAvailableException for service response error code
	// "FeatureNotAvailableException".
	//
	// You attempted to register a LAMBDA or STEP_FUNCTIONS task in a region where
	// the corresponding service isn't available.
	ErrCodeFeatureNotAvailableException = "FeatureNotAvailableException"

	// ErrCodeHierarchyLevelLimitExceededException for service response error code
	// "HierarchyLevelLimitExceededException".
	//
	// A hierarchy can have a maximum of 15 levels. For more information, see Requirements
	// and constraints for parameter names (https://docs.aws.amazon.com/systems-manager/latest/userguide/sysman-parameter-name-constraints.html)
	// in the Amazon Web Services Systems Manager User Guide.
	ErrCodeHierarchyLevelLimitExceededException = "HierarchyLevelLimitExceededException"

	// ErrCodeHierarchyTypeMismatchException for service response error code
	// "HierarchyTypeMismatchException".
	//
	// Parameter Store doesn't support changing a parameter type in a hierarchy.
	// For example, you can't change a parameter from a String type to a SecureString
	// type. You must create a new, unique parameter.
	ErrCodeHierarchyTypeMismatchException = "HierarchyTypeMismatchException"

	// ErrCodeIdempotentParameterMismatch for service response error code
	// "IdempotentParameterMismatch".
	//
	// Error returned when an idempotent operation is retried and the parameters
	// don't match the original call to the API with the same idempotency token.
	ErrCodeIdempotentParameterMismatch = "IdempotentParameterMismatch"

	// ErrCodeIncompatiblePolicyException for service response error code
	// "IncompatiblePolicyException".
	//
	// There is a conflict in the policies specified for this parameter. You can't,
	// for example, specify two Expiration policies for a parameter. Review your
	// policies, and try again.
	ErrCodeIncompatiblePolicyException = "IncompatiblePolicyException"

	// ErrCodeInternalServerError for service response error code
	// "InternalServerError".
	//
	// An error occurred on the server side.
	ErrCodeInternalServerError = "InternalServerError"

	// ErrCodeInvalidActivation for service response error code
	// "InvalidActivation".
	//
	// The activation isn't valid. The activation might have been deleted, or the
	// ActivationId and the ActivationCode don't match.
	ErrCodeInvalidActivation = "InvalidActivation"

	// ErrCodeInvalidActivationId for service response error code
	// "InvalidActivationId".
	//
	// The activation ID isn't valid. Verify the you entered the correct ActivationId
	// or ActivationCode and try again.
	ErrCodeInvalidActivationId = "InvalidActivationId"

	// ErrCodeInvalidAggregatorException for service response error code
	// "InvalidAggregatorException".
	//
	// The specified aggregator isn't valid for inventory groups. Verify that the
	// aggregator uses a valid inventory type such as AWS:Application or AWS:InstanceInformation.
	ErrCodeInvalidAggregatorException = "InvalidAggregatorException"

	// ErrCodeInvalidAllowedPatternException for service response error code
	// "InvalidAllowedPatternException".
	//
	// The request doesn't meet the regular expression requirement.
	ErrCodeInvalidAllowedPatternException = "InvalidAllowedPatternException"

	// ErrCodeInvalidAssociation for service response error code
	// "InvalidAssociation".
	//
	// The association isn't valid or doesn't exist.
	ErrCodeInvalidAssociation = "InvalidAssociation"

	// ErrCodeInvalidAssociationVersion for service response error code
	// "InvalidAssociationVersion".
	//
	// The version you specified isn't valid. Use ListAssociationVersions to view
	// all versions of an association according to the association ID. Or, use the
	// $LATEST parameter to view the latest version of the association.
	ErrCodeInvalidAssociationVersion = "InvalidAssociationVersion"

	// ErrCodeInvalidAutomationExecutionParametersException for service response error code
	// "InvalidAutomationExecutionParametersException".
	//
	// The supplied parameters for invoking the specified Automation runbook are
	// incorrect. For example, they may not match the set of parameters permitted
	// for the specified Automation document.
	ErrCodeInvalidAutomationExecutionParametersException = "InvalidAutomationExecutionParametersException"

	// ErrCodeInvalidAutomationSignalException for service response error code
	// "InvalidAutomationSignalException".
	//
	// The signal isn't valid for the current Automation execution.
	ErrCodeInvalidAutomationSignalException = "InvalidAutomationSignalException"

	// ErrCodeInvalidAutomationStatusUpdateException for service response error code
	// "InvalidAutomationStatusUpdateException".
	//
	// The specified update status operation isn't valid.
	ErrCodeInvalidAutomationStatusUpdateException = "InvalidAutomationStatusUpdateException"

	// ErrCodeInvalidCommandId for service response error code
	// "InvalidCommandId".
	//
	// The specified command ID isn't valid. Verify the ID and try again.
	ErrCodeInvalidCommandId = "InvalidCommandId"

	// ErrCodeInvalidDeleteInventoryParametersException for service response error code
	// "InvalidDeleteInventoryParametersException".
	//
	// One or more of the parameters specified for the delete operation isn't valid.
	// Verify all parameters and try again.
	ErrCodeInvalidDeleteInventoryParametersException = "InvalidDeleteInventoryParametersException"

	// ErrCodeInvalidDeletionIdException for service response error code
	// "InvalidDeletionIdException".
	//
	// The ID specified for the delete operation doesn't exist or isn't valid. Verify
	// the ID and try again.
	ErrCodeInvalidDeletionIdException = "InvalidDeletionIdException"

	// ErrCodeInvalidDocument for service response error code
	// "InvalidDocument".
	//
	// The specified SSM document doesn't exist.
	ErrCodeInvalidDocument = "InvalidDocument"

	// ErrCodeInvalidDocumentContent for service response error code
	// "InvalidDocumentContent".
	//
	// The content for the document isn't valid.
	ErrCodeInvalidDocumentContent = "InvalidDocumentContent"

	// ErrCodeInvalidDocumentOperation for service response error code
	// "InvalidDocumentOperation".
	//
	// You attempted to delete a document while it is still shared. You must stop
	// sharing the document before you can delete it.
	ErrCodeInvalidDocumentOperation = "InvalidDocumentOperation"

	// ErrCodeInvalidDocumentSchemaVersion for service response error code
	// "InvalidDocumentSchemaVersion".
	//
	// The version of the document schema isn't supported.
	ErrCodeInvalidDocumentSchemaVersion = "InvalidDocumentSchemaVersion"

	// ErrCodeInvalidDocumentType for service response error code
	// "InvalidDocumentType".
	//
	// The SSM document type isn't valid. Valid document types are described in
	// the DocumentType property.
	ErrCodeInvalidDocumentType = "InvalidDocumentType"

	// ErrCodeInvalidDocumentVersion for service response error code
	// "InvalidDocumentVersion".
	//
	// The document version isn't valid or doesn't exist.
	ErrCodeInvalidDocumentVersion = "InvalidDocumentVersion"

	// ErrCodeInvalidFilter for service response error code
	// "InvalidFilter".
	//
	// The filter name isn't valid. Verify the you entered the correct name and
	// try again.
	ErrCodeInvalidFilter = "InvalidFilter"

	// ErrCodeInvalidFilterKey for service response error code
	// "InvalidFilterKey".
	//
	// The specified key isn't valid.
	ErrCodeInvalidFilterKey = "InvalidFilterKey"

	// ErrCodeInvalidFilterOption for service response error code
	// "InvalidFilterOption".
	//
	// The specified filter option isn't valid. Valid options are Equals and BeginsWith.
	// For Path filter, valid options are Recursive and OneLevel.
	ErrCodeInvalidFilterOption = "InvalidFilterOption"

	// ErrCodeInvalidFilterValue for service response error code
	// "InvalidFilterValue".
	//
	// The filter value isn't valid. Verify the value and try again.
	ErrCodeInvalidFilterValue = "InvalidFilterValue"

	// ErrCodeInvalidInstanceId for service response error code
	// "InvalidInstanceId".
	//
	// The following problems can cause this exception:
	//
	//    * You don't have permission to access the managed node.
	//
	//    * Amazon Web Services Systems Manager Agent (SSM Agent) isn't running.
	//    Verify that SSM Agent is running.
	//
	//    * SSM Agent isn't registered with the SSM endpoint. Try reinstalling SSM
	//    Agent.
	//
	//    * The managed node isn't in a valid state. Valid states are: Running,
	//    Pending, Stopped, and Stopping. Invalid states are: Shutting-down and
	//    Terminated.
	ErrCodeInvalidInstanceId = "InvalidInstanceId"

	// ErrCodeInvalidInstanceInformationFilterValue for service response error code
	// "InvalidInstanceInformationFilterValue".
	//
	// The specified filter value isn't valid.
	ErrCodeInvalidInstanceInformationFilterValue = "InvalidInstanceInformationFilterValue"

	// ErrCodeInvalidInstancePropertyFilterValue for service response error code
	// "InvalidInstancePropertyFilterValue".
	//
	// The specified filter value isn't valid.
	ErrCodeInvalidInstancePropertyFilterValue = "InvalidInstancePropertyFilterValue"

	// ErrCodeInvalidInventoryGroupException for service response error code
	// "InvalidInventoryGroupException".
	//
	// The specified inventory group isn't valid.
	ErrCodeInvalidInventoryGroupException = "InvalidInventoryGroupException"

	// ErrCodeInvalidInventoryItemContextException for service response error code
	// "InvalidInventoryItemContextException".
	//
	// You specified invalid keys or values in the Context attribute for InventoryItem.
	// Verify the keys and values, and try again.
	ErrCodeInvalidInventoryItemContextException = "InvalidInventoryItemContextException"

	// ErrCodeInvalidInventoryRequestException for service response error code
	// "InvalidInventoryRequestException".
	//
	// The request isn't valid.
	ErrCodeInvalidInventoryRequestException = "InvalidInventoryRequestException"

	// ErrCodeInvalidItemContentException for service response error code
	// "InvalidItemContentException".
	//
	// One or more content items isn't valid.
	ErrCodeInvalidItemContentException = "InvalidItemContentException"

	// ErrCodeInvalidKeyId for service response error code
	// "InvalidKeyId".
	//
	// The query key ID isn't valid.
	ErrCodeInvalidKeyId = "InvalidKeyId"

	// ErrCodeInvalidNextToken for service response error code
	// "InvalidNextToken".
	//
	// The specified token isn't valid.
	ErrCodeInvalidNextToken = "InvalidNextToken"

	// ErrCodeInvalidNotificationConfig for service response error code
	// "InvalidNotificationConfig".
	//
	// One or more configuration items isn't valid. Verify that a valid Amazon Resource
	// Name (ARN) was provided for an Amazon Simple Notification Service topic.
	ErrCodeInvalidNotificationConfig = "InvalidNotificationConfig"

	// ErrCodeInvalidOptionException for service response error code
	// "InvalidOptionException".
	//
	// The delete inventory option specified isn't valid. Verify the option and
	// try again.
	ErrCodeInvalidOptionException = "InvalidOptionException"

	// ErrCodeInvalidOutputFolder for service response error code
	// "InvalidOutputFolder".
	//
	// The S3 bucket doesn't exist.
	ErrCodeInvalidOutputFolder = "InvalidOutputFolder"

	// ErrCodeInvalidOutputLocation for service response error code
	// "InvalidOutputLocation".
	//
	// The output location isn't valid or doesn't exist.
	ErrCodeInvalidOutputLocation = "InvalidOutputLocation"

	// ErrCodeInvalidParameters for service response error code
	// "InvalidParameters".
	//
	// You must specify values for all required parameters in the Amazon Web Services
	// Systems Manager document (SSM document). You can only supply values to parameters
	// defined in the SSM document.
	ErrCodeInvalidParameters = "InvalidParameters"

	// ErrCodeInvalidPermissionType for service response error code
	// "InvalidPermissionType".
	//
	// The permission type isn't supported. Share is the only supported permission
	// type.
	ErrCodeInvalidPermissionType = "InvalidPermissionType"

	// ErrCodeInvalidPluginName for service response error code
	// "InvalidPluginName".
	//
	// The plugin name isn't valid.
	ErrCodeInvalidPluginName = "InvalidPluginName"

	// ErrCodeInvalidPolicyAttributeException for service response error code
	// "InvalidPolicyAttributeException".
	//
	// A policy attribute or its value is invalid.
	ErrCodeInvalidPolicyAttributeException = "InvalidPolicyAttributeException"

	// ErrCodeInvalidPolicyTypeException for service response error code
	// "InvalidPolicyTypeException".
	//
	// The policy type isn't supported. Parameter Store supports the following policy
	// types: Expiration, ExpirationNotification, and NoChangeNotification.
	ErrCodeInvalidPolicyTypeException = "InvalidPolicyTypeException"

	// ErrCodeInvalidResourceId for service response error code
	// "InvalidResourceId".
	//
	// The resource ID isn't valid. Verify that you entered the correct ID and try
	// again.
	ErrCodeInvalidResourceId = "InvalidResourceId"

	// ErrCodeInvalidResourceType for service response error code
	// "InvalidResourceType".
	//
	// The resource type isn't valid. For example, if you are attempting to tag
	// an EC2 instance, the instance must be a registered managed node.
	ErrCodeInvalidResourceType = "InvalidResourceType"

	// ErrCodeInvalidResultAttributeException for service response error code
	// "InvalidResultAttributeException".
	//
	// The specified inventory item result attribute isn't valid.
	ErrCodeInvalidResultAttributeException = "InvalidResultAttributeException"

	// ErrCodeInvalidRole for service response error code
	// "InvalidRole".
	//
	// The role name can't contain invalid characters. Also verify that you specified
	// an IAM role for notifications that includes the required trust policy. For
	// information about configuring the IAM role for Run Command notifications,
	// see Monitoring Systems Manager status changes using Amazon SNS notifications
	// (https://docs.aws.amazon.com/systems-manager/latest/userguide/monitoring-sns-notifications.html)
	// in the Amazon Web Services Systems Manager User Guide.
	ErrCodeInvalidRole = "InvalidRole"

	// ErrCodeInvalidSchedule for service response error code
	// "InvalidSchedule".
	//
	// The schedule is invalid. Verify your cron or rate expression and try again.
	ErrCodeInvalidSchedule = "InvalidSchedule"

	// ErrCodeInvalidTag for service response error code
	// "InvalidTag".
	//
	// The specified tag key or value isn't valid.
	ErrCodeInvalidTag = "InvalidTag"

	// ErrCodeInvalidTarget for service response error code
	// "InvalidTarget".
	//
	// The target isn't valid or doesn't exist. It might not be configured for Systems
	// Manager or you might not have permission to perform the operation.
	ErrCodeInvalidTarget = "InvalidTarget"

	// ErrCodeInvalidTargetMaps for service response error code
	// "InvalidTargetMaps".
	//
	// TargetMap parameter isn't valid.
	ErrCodeInvalidTargetMaps = "InvalidTargetMaps"

	// ErrCodeInvalidTypeNameException for service response error code
	// "InvalidTypeNameException".
	//
	// The parameter type name isn't valid.
	ErrCodeInvalidTypeNameException = "InvalidTypeNameException"

	// ErrCodeInvalidUpdate for service response error code
	// "InvalidUpdate".
	//
	// The update isn't valid.
	ErrCodeInvalidUpdate = "InvalidUpdate"

	// ErrCodeInvocationDoesNotExist for service response error code
	// "InvocationDoesNotExist".
	//
	// The command ID and managed node ID you specified didn't match any invocations.
	// Verify the command ID and the managed node ID and try again.
	ErrCodeInvocationDoesNotExist = "InvocationDoesNotExist"

	// ErrCodeItemContentMismatchException for service response error code
	// "ItemContentMismatchException".
	//
	// The inventory item has invalid content.
	ErrCodeItemContentMismatchException = "ItemContentMismatchException"

	// ErrCodeItemSizeLimitExceededException for service response error code
	// "ItemSizeLimitExceededException".
	//
	// The inventory item size has exceeded the size limit.
	ErrCodeItemSizeLimitExceededException = "ItemSizeLimitExceededException"

	// ErrCodeMalformedResourcePolicyDocumentException for service response error code
	// "MalformedResourcePolicyDocumentException".
	//
	// The specified policy document is malformed or invalid, or excessive PutResourcePolicy
	// or DeleteResourcePolicy calls have been made.
	ErrCodeMalformedResourcePolicyDocumentException = "MalformedResourcePolicyDocumentException"

	// ErrCodeMaxDocumentSizeExceeded for service response error code
	// "MaxDocumentSizeExceeded".
	//
	// The size limit of a document is 64 KB.
	ErrCodeMaxDocumentSizeExceeded = "MaxDocumentSizeExceeded"

	// ErrCodeOpsItemAccessDeniedException for service response error code
	// "OpsItemAccessDeniedException".
	//
	// You don't have permission to view OpsItems in the specified account. Verify
	// that your account is configured either as a Systems Manager delegated administrator
	// or that you are logged into the Organizations management account.
	ErrCodeOpsItemAccessDeniedException = "OpsItemAccessDeniedException"

	// ErrCodeOpsItemAlreadyExistsException for service response error code
	// "OpsItemAlreadyExistsException".
	//
	// The OpsItem already exists.
	ErrCodeOpsItemAlreadyExistsException = "OpsItemAlreadyExistsException"

	// ErrCodeOpsItemConflictException for service response error code
	// "OpsItemConflictException".
	//
	// The specified OpsItem is in the process of being deleted.
	ErrCodeOpsItemConflictException = "OpsItemConflictException"

	// ErrCodeOpsItemInvalidParameterException for service response error code
	// "OpsItemInvalidParameterException".
	//
	// A specified parameter argument isn't valid. Verify the available arguments
	// and try again.
	ErrCodeOpsItemInvalidParameterException = "OpsItemInvalidParameterException"

	// ErrCodeOpsItemLimitExceededException for service response error code
	// "OpsItemLimitExceededException".
	//
	// The request caused OpsItems to exceed one or more quotas.
	ErrCodeOpsItemLimitExceededException = "OpsItemLimitExceededException"

	// ErrCodeOpsItemNotFoundException for service response error code
	// "OpsItemNotFoundException".
	//
	// The specified OpsItem ID doesn't exist. Verify the ID and try again.
	ErrCodeOpsItemNotFoundException = "OpsItemNotFoundException"

	// ErrCodeOpsItemRelatedItemAlreadyExistsException for service response error code
	// "OpsItemRelatedItemAlreadyExistsException".
	//
	// The Amazon Resource Name (ARN) is already associated with the OpsItem.
	ErrCodeOpsItemRelatedItemAlreadyExistsException = "OpsItemRelatedItemAlreadyExistsException"

	// ErrCodeOpsItemRelatedItemAssociationNotFoundException for service response error code
	// "OpsItemRelatedItemAssociationNotFoundException".
	//
	// The association wasn't found using the parameters you specified in the call.
	// Verify the information and try again.
	ErrCodeOpsItemRelatedItemAssociationNotFoundException = "OpsItemRelatedItemAssociationNotFoundException"

	// ErrCodeOpsMetadataAlreadyExistsException for service response error code
	// "OpsMetadataAlreadyExistsException".
	//
	// An OpsMetadata object already exists for the selected resource.
	ErrCodeOpsMetadataAlreadyExistsException = "OpsMetadataAlreadyExistsException"

	// ErrCodeOpsMetadataInvalidArgumentException for service response error code
	// "OpsMetadataInvalidArgumentException".
	//
	// One of the arguments passed is invalid.
	ErrCodeOpsMetadataInvalidArgumentException = "OpsMetadataInvalidArgumentException"

	// ErrCodeOpsMetadataKeyLimitExceededException for service response error code
	// "OpsMetadataKeyLimitExceededException".
	//
	// The OpsMetadata object exceeds the maximum number of OpsMetadata keys that
	// you can assign to an application in Application Manager.
	ErrCodeOpsMetadataKeyLimitExceededException = "OpsMetadataKeyLimitExceededException"

	// ErrCodeOpsMetadataLimitExceededException for service response error code
	// "OpsMetadataLimitExceededException".
	//
	// Your account reached the maximum number of OpsMetadata objects allowed by
	// Application Manager. The maximum is 200 OpsMetadata objects. Delete one or
	// more OpsMetadata object and try again.
	ErrCodeOpsMetadataLimitExceededException = "OpsMetadataLimitExceededException"

	// ErrCodeOpsMetadataNotFoundException for service response error code
	// "OpsMetadataNotFoundException".
	//
	// The OpsMetadata object doesn't exist.
	ErrCodeOpsMetadataNotFoundException = "OpsMetadataNotFoundException"

	// ErrCodeOpsMetadataTooManyUpdatesException for service response error code
	// "OpsMetadataTooManyUpdatesException".
	//
	// The system is processing too many concurrent updates. Wait a few moments
	// and try again.
	ErrCodeOpsMetadataTooManyUpdatesException = "OpsMetadataTooManyUpdatesException"

	// ErrCodeParameterAlreadyExists for service response error code
	// "ParameterAlreadyExists".
	//
	// The parameter already exists. You can't create duplicate parameters.
	ErrCodeParameterAlreadyExists = "ParameterAlreadyExists"

	// ErrCodeParameterLimitExceeded for service response error code
	// "ParameterLimitExceeded".
	//
	// You have exceeded the number of parameters for this Amazon Web Services account.
	// Delete one or more parameters and try again.
	ErrCodeParameterLimitExceeded = "ParameterLimitExceeded"

	// ErrCodeParameterMaxVersionLimitExceeded for service response error code
	// "ParameterMaxVersionLimitExceeded".
	//
	// Parameter Store retains the 100 most recently created versions of a parameter.
	// After this number of versions has been created, Parameter Store deletes the
	// oldest version when a new one is created. However, if the oldest version
	// has a label attached to it, Parameter Store won't delete the version and
	// instead presents this error message:
	//
	// An error occurred (ParameterMaxVersionLimitExceeded) when calling the PutParameter
	// operation: You attempted to create a new version of parameter-name by calling
	// the PutParameter API with the overwrite flag. Version version-number, the
	// oldest version, can't be deleted because it has a label associated with it.
	// Move the label to another version of the parameter, and try again.
	//
	// This safeguard is to prevent parameter versions with mission critical labels
	// assigned to them from being deleted. To continue creating new parameters,
	// first move the label from the oldest version of the parameter to a newer
	// one for use in your operations. For information about moving parameter labels,
	// see Move a parameter label (console) (https://docs.aws.amazon.com/systems-manager/latest/userguide/sysman-paramstore-labels.html#sysman-paramstore-labels-console-move)
	// or Move a parameter label (CLI) (https://docs.aws.amazon.com/systems-manager/latest/userguide/sysman-paramstore-labels.html#sysman-paramstore-labels-cli-move)
	// in the Amazon Web Services Systems Manager User Guide.
	ErrCodeParameterMaxVersionLimitExceeded = "ParameterMaxVersionLimitExceeded"

	// ErrCodeParameterNotFound for service response error code
	// "ParameterNotFound".
	//
	// The parameter couldn't be found. Verify the name and try again.
	ErrCodeParameterNotFound = "ParameterNotFound"

	// ErrCodeParameterPatternMismatchException for service response error code
	// "ParameterPatternMismatchException".
	//
	// The parameter name isn't valid.
	ErrCodeParameterPatternMismatchException = "ParameterPatternMismatchException"

	// ErrCodeParameterVersionLabelLimitExceeded for service response error code
	// "ParameterVersionLabelLimitExceeded".
	//
	// A parameter version can have a maximum of ten labels.
	ErrCodeParameterVersionLabelLimitExceeded = "ParameterVersionLabelLimitExceeded"

	// ErrCodeParameterVersionNotFound for service response error code
	// "ParameterVersionNotFound".
	//
	// The specified parameter version wasn't found. Verify the parameter name and
	// version, and try again.
	ErrCodeParameterVersionNotFound = "ParameterVersionNotFound"

	// ErrCodePoliciesLimitExceededException for service response error code
	// "PoliciesLimitExceededException".
	//
	// You specified more than the maximum number of allowed policies for the parameter.
	// The maximum is 10.
	ErrCodePoliciesLimitExceededException = "PoliciesLimitExceededException"

	// ErrCodeResourceDataSyncAlreadyExistsException for service response error code
	// "ResourceDataSyncAlreadyExistsException".
	//
	// A sync configuration with the same name already exists.
	ErrCodeResourceDataSyncAlreadyExistsException = "ResourceDataSyncAlreadyExistsException"

	// ErrCodeResourceDataSyncConflictException for service response error code
	// "ResourceDataSyncConflictException".
	//
	// Another UpdateResourceDataSync request is being processed. Wait a few minutes
	// and try again.
	ErrCodeResourceDataSyncConflictException = "ResourceDataSyncConflictException"

	// ErrCodeResourceDataSyncCountExceededException for service response error code
	// "ResourceDataSyncCountExceededException".
	//
	// You have exceeded the allowed maximum sync configurations.
	ErrCodeResourceDataSyncCountExceededException = "ResourceDataSyncCountExceededException"

	// ErrCodeResourceDataSyncInvalidConfigurationException for service response error code
	// "ResourceDataSyncInvalidConfigurationException".
	//
	// The specified sync configuration is invalid.
	ErrCodeResourceDataSyncInvalidConfigurationException = "ResourceDataSyncInvalidConfigurationException"

	// ErrCodeResourceDataSyncNotFoundException for service response error code
	// "ResourceDataSyncNotFoundException".
	//
	// The specified sync name wasn't found.
	ErrCodeResourceDataSyncNotFoundException = "ResourceDataSyncNotFoundException"

	// ErrCodeResourceInUseException for service response error code
	// "ResourceInUseException".
	//
	// Error returned if an attempt is made to delete a patch baseline that is registered
	// for a patch group.
	ErrCodeResourceInUseException = "ResourceInUseException"

	// ErrCodeResourceLimitExceededException for service response error code
	// "ResourceLimitExceededException".
	//
	// Error returned when the caller has exceeded the default resource quotas.
	// For example, too many maintenance windows or patch baselines have been created.
	//
	// For information about resource quotas in Systems Manager, see Systems Manager
	// service quotas (https://docs.aws.amazon.com/general/latest/gr/ssm.html#limits_ssm)
	// in the Amazon Web Services General Reference.
	ErrCodeResourceLimitExceededException = "ResourceLimitExceededException"

	// ErrCodeResourceNotFoundException for service response error code
	// "ResourceNotFoundException".
	//
	// The specified parameter to be shared could not be found.
	ErrCodeResourceNotFoundException = "ResourceNotFoundException"

	// ErrCodeResourcePolicyConflictException for service response error code
	// "ResourcePolicyConflictException".
	//
	// The hash provided in the call doesn't match the stored hash. This exception
	// is thrown when trying to update an obsolete policy version or when multiple
	// requests to update a policy are sent.
	ErrCodeResourcePolicyConflictException = "ResourcePolicyConflictException"

	// ErrCodeResourcePolicyInvalidParameterException for service response error code
	// "ResourcePolicyInvalidParameterException".
	//
	// One or more parameters specified for the call aren't valid. Verify the parameters
	// and their values and try again.
	ErrCodeResourcePolicyInvalidParameterException = "ResourcePolicyInvalidParameterException"

	// ErrCodeResourcePolicyLimitExceededException for service response error code
	// "ResourcePolicyLimitExceededException".
	//
	// The PutResourcePolicy API action enforces two limits. A policy can't be greater
	// than 1024 bytes in size. And only one policy can be attached to OpsItemGroup.
	// Verify these limits and try again.
	ErrCodeResourcePolicyLimitExceededException = "ResourcePolicyLimitExceededException"

	// ErrCodeResourcePolicyNotFoundException for service response error code
	// "ResourcePolicyNotFoundException".
	//
	// No policies with the specified policy ID and hash could be found.
	ErrCodeResourcePolicyNotFoundException = "ResourcePolicyNotFoundException"

	// ErrCodeServiceSettingNotFound for service response error code
	// "ServiceSettingNotFound".
	//
	// The specified service setting wasn't found. Either the service name or the
	// setting hasn't been provisioned by the Amazon Web Services service team.
	ErrCodeServiceSettingNotFound = "ServiceSettingNotFound"

	// ErrCodeStatusUnchanged for service response error code
	// "StatusUnchanged".
	//
	// The updated status is the same as the current status.
	ErrCodeStatusUnchanged = "StatusUnchanged"

	// ErrCodeSubTypeCountLimitExceededException for service response error code
	// "SubTypeCountLimitExceededException".
	//
	// The sub-type count exceeded the limit for the inventory type.
	ErrCodeSubTypeCountLimitExceededException = "SubTypeCountLimitExceededException"

	// ErrCodeTargetInUseException for service response error code
	// "TargetInUseException".
	//
	// You specified the Safe option for the DeregisterTargetFromMaintenanceWindow
	// operation, but the target is still referenced in a task.
	ErrCodeTargetInUseException = "TargetInUseException"

	// ErrCodeTargetNotConnected for service response error code
	// "TargetNotConnected".
	//
	// The specified target managed node for the session isn't fully configured
	// for use with Session Manager. For more information, see Getting started with
	// Session Manager (https://docs.aws.amazon.com/systems-manager/latest/userguide/session-manager-getting-started.html)
	// in the Amazon Web Services Systems Manager User Guide. This error is also
	// returned if you attempt to start a session on a managed node that is located
	// in a different account or Region
	ErrCodeTargetNotConnected = "TargetNotConnected"

	// ErrCodeTooManyTagsError for service response error code
	// "TooManyTagsError".
	//
	// The Targets parameter includes too many tags. Remove one or more tags and
	// try the command again.
	ErrCodeTooManyTagsError = "TooManyTagsError"

	// ErrCodeTooManyUpdates for service response error code
	// "TooManyUpdates".
	//
	// There are concurrent updates for a resource that supports one update at a
	// time.
	ErrCodeTooManyUpdates = "TooManyUpdates"

	// ErrCodeTotalSizeLimitExceededException for service response error code
	// "TotalSizeLimitExceededException".
	//
	// The size of inventory data has exceeded the total size limit for the resource.
	ErrCodeTotalSizeLimitExceededException = "TotalSizeLimitExceededException"

	// ErrCodeUnsupportedCalendarException for service response error code
	// "UnsupportedCalendarException".
	//
	// The calendar entry contained in the specified SSM document isn't supported.
	ErrCodeUnsupportedCalendarException = "UnsupportedCalendarException"

	// ErrCodeUnsupportedFeatureRequiredException for service response error code
	// "UnsupportedFeatureRequiredException".
	//
	// Patching for applications released by Microsoft is only available on EC2
	// instances and advanced instances. To patch applications released by Microsoft
	// on on-premises servers and VMs, you must enable advanced instances. For more
	// information, see Turning on the advanced-instances tier (https://docs.aws.amazon.com/systems-manager/latest/userguide/systems-manager-managedinstances-advanced.html)
	// in the Amazon Web Services Systems Manager User Guide.
	ErrCodeUnsupportedFeatureRequiredException = "UnsupportedFeatureRequiredException"

	// ErrCodeUnsupportedInventoryItemContextException for service response error code
	// "UnsupportedInventoryItemContextException".
	//
	// The Context attribute that you specified for the InventoryItem isn't allowed
	// for this inventory type. You can only use the Context attribute with inventory
	// types like AWS:ComplianceItem.
	ErrCodeUnsupportedInventoryItemContextException = "UnsupportedInventoryItemContextException"

	// ErrCodeUnsupportedInventorySchemaVersionException for service response error code
	// "UnsupportedInventorySchemaVersionException".
	//
	// Inventory item type schema version has to match supported versions in the
	// service. Check output of GetInventorySchema to see the available schema version
	// for each type.
	ErrCodeUnsupportedInventorySchemaVersionException = "UnsupportedInventorySchemaVersionException"

	// ErrCodeUnsupportedOperatingSystem for service response error code
	// "UnsupportedOperatingSystem".
	//
	// The operating systems you specified isn't supported, or the operation isn't
	// supported for the operating system.
	ErrCodeUnsupportedOperatingSystem = "UnsupportedOperatingSystem"

	// ErrCodeUnsupportedParameterType for service response error code
	// "UnsupportedParameterType".
	//
	// The parameter type isn't supported.
	ErrCodeUnsupportedParameterType = "UnsupportedParameterType"

	// ErrCodeUnsupportedPlatformType for service response error code
	// "UnsupportedPlatformType".
	//
	// The document doesn't support the platform type of the given managed node
	// IDs. For example, you sent an document for a Windows managed node to a Linux
	// node.
	ErrCodeUnsupportedPlatformType = "UnsupportedPlatformType"
)

var exceptionFromCode = map[string]func(protocol.ResponseMetadata) error{
	"AlreadyExistsException":                         newErrorAlreadyExistsException,
	"AssociatedInstances":                            newErrorAssociatedInstances,
	"AssociationAlreadyExists":                       newErrorAssociationAlreadyExists,
	"AssociationDoesNotExist":                        newErrorAssociationDoesNotExist,
	"AssociationExecutionDoesNotExist":               newErrorAssociationExecutionDoesNotExist,
	"AssociationLimitExceeded":                       newErrorAssociationLimitExceeded,
	"AssociationVersionLimitExceeded":                newErrorAssociationVersionLimitExceeded,
	"AutomationDefinitionNotApprovedException":       newErrorAutomationDefinitionNotApprovedException,
	"AutomationDefinitionNotFoundException":          newErrorAutomationDefinitionNotFoundException,
	"AutomationDefinitionVersionNotFoundException":   newErrorAutomationDefinitionVersionNotFoundException,
	"AutomationExecutionLimitExceededException":      newErrorAutomationExecutionLimitExceededException,
	"AutomationExecutionNotFoundException":           newErrorAutomationExecutionNotFoundException,
	"AutomationStepNotFoundException":                newErrorAutomationStepNotFoundException,
	"ComplianceTypeCountLimitExceededException":      newErrorComplianceTypeCountLimitExceededException,
	"CustomSchemaCountLimitExceededException":        newErrorCustomSchemaCountLimitExceededException,
	"DocumentAlreadyExists":                          newErrorDocumentAlreadyExists,
	"DocumentLimitExceeded":                          newErrorDocumentLimitExceeded,
	"DocumentPermissionLimit":                        newErrorDocumentPermissionLimit,
	"DocumentVersionLimitExceeded":                   newErrorDocumentVersionLimitExceeded,
	"DoesNotExistException":                          newErrorDoesNotExistException,
	"DuplicateDocumentContent":                       newErrorDuplicateDocumentContent,
	"DuplicateDocumentVersionName":                   newErrorDuplicateDocumentVersionName,
	"DuplicateInstanceId":                            newErrorDuplicateInstanceId,
	"FeatureNotAvailableException":                   newErrorFeatureNotAvailableException,
	"HierarchyLevelLimitExceededException":           newErrorHierarchyLevelLimitExceededException,
	"HierarchyTypeMismatchException":                 newErrorHierarchyTypeMismatchException,
	"IdempotentParameterMismatch":                    newErrorIdempotentParameterMismatch,
	"IncompatiblePolicyException":                    newErrorIncompatiblePolicyException,
	"InternalServerError":                            newErrorInternalServerError,
	"InvalidActivation":                              newErrorInvalidActivation,
	"InvalidActivationId":                            newErrorInvalidActivationId,
	"InvalidAggregatorException":                     newErrorInvalidAggregatorException,
	"InvalidAllowedPatternException":                 newErrorInvalidAllowedPatternException,
	"InvalidAssociation":                             newErrorInvalidAssociation,
	"InvalidAssociationVersion":                      newErrorInvalidAssociationVersion,
	"InvalidAutomationExecutionParametersException":  newErrorInvalidAutomationExecutionParametersException,
	"InvalidAutomationSignalException":               newErrorInvalidAutomationSignalException,
	"InvalidAutomationStatusUpdateException":         newErrorInvalidAutomationStatusUpdateException,
	"InvalidCommandId":                               newErrorInvalidCommandId,
	"InvalidDeleteInventoryParametersException":      newErrorInvalidDeleteInventoryParametersException,
	"InvalidDeletionIdException":                     newErrorInvalidDeletionIdException,
	"InvalidDocument":                                newErrorInvalidDocument,
	"InvalidDocumentContent":                         newErrorInvalidDocumentContent,
	"InvalidDocumentOperation":                       newErrorInvalidDocumentOperation,
	"InvalidDocumentSchemaVersion":                   newErrorInvalidDocumentSchemaVersion,
	"InvalidDocumentType":                            newErrorInvalidDocumentType,
	"InvalidDocumentVersion":                         newErrorInvalidDocumentVersion,
	"InvalidFilter":                                  newErrorInvalidFilter,
	"InvalidFilterKey":                               newErrorInvalidFilterKey,
	"InvalidFilterOption":                            newErrorInvalidFilterOption,
	"InvalidFilterValue":                             newErrorInvalidFilterValue,
	"InvalidInstanceId":                              newErrorInvalidInstanceId,
	"InvalidInstanceInformationFilterValue":          newErrorInvalidInstanceInformationFilterValue,
	"InvalidInstancePropertyFilterValue":             newErrorInvalidInstancePropertyFilterValue,
	"InvalidInventoryGroupException":                 newErrorInvalidInventoryGroupException,
	"InvalidInventoryItemContextException":           newErrorInvalidInventoryItemContextException,
	"InvalidInventoryRequestException":               newErrorInvalidInventoryRequestException,
	"InvalidItemContentException":                    newErrorInvalidItemContentException,
	"InvalidKeyId":                                   newErrorInvalidKeyId,
	"InvalidNextToken":                               newErrorInvalidNextToken,
	"InvalidNotificationConfig":                      newErrorInvalidNotificationConfig,
	"InvalidOptionException":                         newErrorInvalidOptionException,
	"InvalidOutputFolder":                            newErrorInvalidOutputFolder,
	"InvalidOutputLocation":                          newErrorInvalidOutputLocation,
	"InvalidParameters":                              newErrorInvalidParameters,
	"InvalidPermissionType":                          newErrorInvalidPermissionType,
	"InvalidPluginName":                              newErrorInvalidPluginName,
	"InvalidPolicyAttributeException":                newErrorInvalidPolicyAttributeException,
	"InvalidPolicyTypeException":                     newErrorInvalidPolicyTypeException,
	"InvalidResourceId":                              newErrorInvalidResourceId,
	"InvalidResourceType":                            newErrorInvalidResourceType,
	"InvalidResultAttributeException":                newErrorInvalidResultAttributeException,
	"InvalidRole":                                    newErrorInvalidRole,
	"InvalidSchedule":                                newErrorInvalidSchedule,
	"InvalidTag":                                     newErrorInvalidTag,
	"InvalidTarget":                                  newErrorInvalidTarget,
	"InvalidTargetMaps":                              newErrorInvalidTargetMaps,
	"InvalidTypeNameException":                       newErrorInvalidTypeNameException,
	"InvalidUpdate":                                  newErrorInvalidUpdate,
	"InvocationDoesNotExist":                         newErrorInvocationDoesNotExist,
	"ItemContentMismatchException":                   newErrorItemContentMismatchException,
	"ItemSizeLimitExceededException":                 newErrorItemSizeLimitExceededException,
	"MalformedResourcePolicyDocumentException":       newErrorMalformedResourcePolicyDocumentException,
	"MaxDocumentSizeExceeded":                        newErrorMaxDocumentSizeExceeded,
	"OpsItemAccessDeniedException":                   newErrorOpsItemAccessDeniedException,
	"OpsItemAlreadyExistsException":                  newErrorOpsItemAlreadyExistsException,
	"OpsItemConflictException":                       newErrorOpsItemConflictException,
	"OpsItemInvalidParameterException":               newErrorOpsItemInvalidParameterException,
	"OpsItemLimitExceededException":                  newErrorOpsItemLimitExceededException,
	"OpsItemNotFoundException":                       newErrorOpsItemNotFoundException,
	"OpsItemRelatedItemAlreadyExistsException":       newErrorOpsItemRelatedItemAlreadyExistsException,
	"OpsItemRelatedItemAssociationNotFoundException": newErrorOpsItemRelatedItemAssociationNotFoundException,
	"OpsMetadataAlreadyExistsException":              newErrorOpsMetadataAlreadyExistsException,
	"OpsMetadataInvalidArgumentException":            newErrorOpsMetadataInvalidArgumentException,
	"OpsMetadataKeyLimitExceededException":           newErrorOpsMetadataKeyLimitExceededException,
	"OpsMetadataLimitExceededException":              newErrorOpsMetadataLimitExceededException,
	"OpsMetadataNotFoundException":                   newErrorOpsMetadataNotFoundException,
	"OpsMetadataTooManyUpdatesException":             newErrorOpsMetadataTooManyUpdatesException,
	"ParameterAlreadyExists":                         newErrorParameterAlreadyExists,
	"ParameterLimitExceeded":                         newErrorParameterLimitExceeded,
	"ParameterMaxVersionLimitExceeded":               newErrorParameterMaxVersionLimitExceeded,
	"ParameterNotFound":                              newErrorParameterNotFound,
	"ParameterPatternMismatchException":              newErrorParameterPatternMismatchException,
	"ParameterVersionLabelLimitExceeded":             newErrorParameterVersionLabelLimitExceeded,
	"ParameterVersionNotFound":                       newErrorParameterVersionNotFound,
	"PoliciesLimitExceededException":                 newErrorPoliciesLimitExceededException,
	"ResourceDataSyncAlreadyExistsException":         newErrorResourceDataSyncAlreadyExistsException,
	"ResourceDataSyncConflictException":              newErrorResourceDataSyncConflictException,
	"ResourceDataSyncCountExceededException":         newErrorResourceDataSyncCountExceededException,
	"ResourceDataSyncInvalidConfigurationException":  newErrorResourceDataSyncInvalidConfigurationException,
	"ResourceDataSyncNotFoundException":              newErrorResourceDataSyncNotFoundException,
	"ResourceInUseException":                         newErrorResourceInUseException,
	"ResourceLimitExceededException":                 newErrorResourceLimitExceededException,
	"ResourceNotFoundException":                      newErrorResourceNotFoundException,
	"ResourcePolicyConflictException":                newErrorResourcePolicyConflictException,
	"ResourcePolicyInvalidParameterException":        newErrorResourcePolicyInvalidParameterException,
	"ResourcePolicyLimitExceededException":           newErrorResourcePolicyLimitExceededException,
	"ResourcePolicyNotFoundException":                newErrorResourcePolicyNotFoundException,
	"ServiceSettingNotFound":                         newErrorServiceSettingNotFound,
	"StatusUnchanged":                                newErrorStatusUnchanged,
	"SubTypeCountLimitExceededException":             newErrorSubTypeCountLimitExceededException,
	"TargetInUseException":                           newErrorTargetInUseException,
	"TargetNotConnected":                             newErrorTargetNotConnected,
	"TooManyTagsError":                               newErrorTooManyTagsError,
	"TooManyUpdates":                                 newErrorTooManyUpdates,
	"TotalSizeLimitExceededException":                newErrorTotalSizeLimitExceededException,
	"UnsupportedCalendarException":                   newErrorUnsupportedCalendarException,
	"UnsupportedFeatureRequiredException":            newErrorUnsupportedFeatureRequiredException,
	"UnsupportedInventoryItemContextException":       newErrorUnsupportedInventoryItemContextException,
	"UnsupportedInventorySchemaVersionException":     newErrorUnsupportedInventorySchemaVersionException,
	"UnsupportedOperatingSystem":                     newErrorUnsupportedOperatingSystem,
	"UnsupportedParameterType":                       newErrorUnsupportedParameterType,
	"UnsupportedPlatformType":                        newErrorUnsupportedPlatformType,
}
